﻿namespace ModelTools.Enums
{
	/// <summary>
	/// Тип операции
	/// </summary>
	public enum AccessType : int
	{
		/// <summary>
		/// Простой просомтр
		/// </summary>
		SimpleView = 0,

		/// <summary>
		/// Полный просомтр
		/// </summary>
		FullView = 1,

		/// <summary>
		/// Добавление/Изменение
		/// </summary>
		Change = 2,

		/// <summary>
		/// Удаление
		/// </summary>
		Delete = 4,

		// TODO убрать
		/// <summary>
		/// Доступ к меню
		/// </summary>
		Menu = 8
	}
}